#ifndef CURSOR_H
#define CURSOR_H

#include "SDL.h"
#include "SDL_image.h"


class Cursor
{
	public:

        Cursor(SDL_Surface* imatge, SDL_Surface* superficie);
		~Cursor();
		void Pinta();
		bool Esquerra();
		bool Dreta();
		bool Amunt();
		bool Avall();
		void mousePosition(int x, int y);
		void Inicialitza();
		Sint16 DonaX() { return mPosicio.x+1; };
		Sint16 DonaY() { return mPosicio.y+1; };

	private:

        SDL_Surface* mImgCursor;
        SDL_Rect mCursorOri;
        SDL_Rect mPosicio;

        Sint16 mOrigenTaulerX;
        Sint16 mOrigenTaulerY;

        SDL_Surface* mSuperficie;

};


#endif // CURSOR_H
