#ifndef GESTORTEMES_H
#define GESTORTEMES_H

#include "SDL.h"
#include "SDL_mixer.h"


const Uint8 MAX_TEMES=100;


class GestorTemes
{
public:
    GestorTemes();
    ~GestorTemes();
    char** DonaLlistaTemes() { return mTemes; };
    Uint8 DonaNumTemes() { return mNumTemes; };

    void CarregaTema(Uint8 tema,
                     SDL_Surface** peces,
                     SDL_Surface** pecesRestants,
                     SDL_Surface** fons,
                     SDL_Surface** cursor,
                     Mix_Music** soMenu,
                     Mix_Music** soPuntuacions,
                     Mix_Music** soRecord,
                     Mix_Chunk** soCursor,
                     Mix_Chunk** soMarca,
                     Mix_Chunk** soCanvi,
                     Mix_Chunk** soNoCanvi,
                     Mix_Chunk** soDeuSegons,
                     Mix_Chunk** soNoMesLinies,
                     Mix_Chunk** soFiNivell,
                     Mix_Chunk** soFiPartida,
                     Mix_Chunk** soPausa,
                     SDL_Surface* superficie);

    void CarregaFontTema(Uint8 tema, SDL_Surface** font, SDL_Surface* superficie);

private:

    char* mTemes[MAX_TEMES];
    Uint8 mNumTemes;
};

#endif
