#ifndef PUNTUACIONS_H
#define PUNTUACIONS_H


#include "SDL.h"


class Puntuacions
{
    public:

        Puntuacions() {};
        ~Puntuacions() {};

        class Linia
        {
            public:
                char mNom[4];
                Uint32 mPunts;
                Uint8 mNivell;
        };

        void Llegeix(char* nomArxiu);
        void Escriu(char* nomArxiu);
        void SobreEscriu(char* nomArxiu);

        Sint8 Afegeix(Sint8 mode, char* nom, Uint32 punts, Uint8 nivell);
        bool EsDins(Sint8 mode, Uint32 punts);

        Linia* Dona() { return mPuntuacions; };

    private:

        Linia mPuntuacions[30];
};



#endif // PUNTUACIONS_H
