#ifndef TEXT_H
#define TEXT_H


#include "SDL.h"


const Uint8 MIDA_CARACTER = 16;
const int ESQUERRA    = 0x10000000;
const int DRETA       = 0x01000000;
const int CENTREH     = 0x00100000;
const int AMUNT       = 0x00010000;
const int AVALL       = 0x00001000;
const int CENTREV     = 0x00000100;



class Text
{
	public:

        Text(SDL_Surface* imatge, SDL_Surface* superficie);
		~Text();
		void Escriu(Sint16 x, Sint16 y, char* text, int flags=ESQUERRA|AMUNT);

	private:

        SDL_Surface* mImgFont;
        SDL_Surface* mSuperficie;
        SDL_Rect mCaracter, mCaracterEnFont;
        Sint16 mX, mY;
        Uint8 mMida;
};


#endif // TEXT_H
