#ifndef DEFINICIONS_H
#define DEFINICIONS_H

#include "SDL.h"


const Uint16 RESX = 480;
const Uint16 RESY = 640;
const Uint16 RESCOL = 16;
const Sint16 MIDA_PECA = 60;
const Sint16 MIDA_PECA_RESTANT = 28;
const Sint16 MIDA_TAULER = 8;
const Sint16 MIDA_TAULERQ = 64;
const Uint8 SPF = 20;
const Uint16 RETARD_TECLA = 100;

const Uint8 RETARD_ESTIC_MENU = 10;
const Uint8 RETARD_BOTO_MENU = 20;

const Uint8 MAX_PECES_INTRO = 1;

#ifdef TARGET_GP2X
#   define GP2X_BUTTON_UP              (0)
#   define GP2X_BUTTON_DOWN            (4)
#   define GP2X_BUTTON_LEFT            (2)
#   define GP2X_BUTTON_RIGHT           (6)
#   define GP2X_BUTTON_UPLEFT          (1)
#   define GP2X_BUTTON_UPRIGHT         (7)
#   define GP2X_BUTTON_DOWNLEFT        (3)
#   define GP2X_BUTTON_DOWNRIGHT       (5)
#   define GP2X_BUTTON_CLICK           (18)
#   define GP2X_BUTTON_A               (12)
#   define GP2X_BUTTON_B               (13)
#   define GP2X_BUTTON_X               (14)
#   define GP2X_BUTTON_Y               (15)
#   define GP2X_BUTTON_L               (10)
#   define GP2X_BUTTON_R               (11)
#   define GP2X_BUTTON_START           (8)
#   define GP2X_BUTTON_SELECT          (9)
#   define GP2X_BUTTON_VOLUP           (16)
#   define GP2X_BUTTON_VOLDOWN         (17)
#else
#   define GP2X_BUTTON_UP              (SDLK_UP)
#   define GP2X_BUTTON_DOWN            (SDLK_DOWN)
#   define GP2X_BUTTON_LEFT            (SDLK_LEFT)
#   define GP2X_BUTTON_RIGHT           (SDLK_RIGHT)
#   define GP2X_BUTTON_UPLEFT          (SDLK_KP7)
#   define GP2X_BUTTON_UPRIGHT         (SDLK_KP9)
#   define GP2X_BUTTON_DOWNLEFT        (SDLK_KP1)
#   define GP2X_BUTTON_DOWNRIGHT       (SDLK_KP3)
#   define GP2X_BUTTON_A               (SDLK_RCTRL)
#   define GP2X_BUTTON_B               (SDLK_LCTRL)
#   define GP2X_BUTTON_X               (SDLK_x)
#   define GP2X_BUTTON_Y               (SDLK_z)
#   define GP2X_BUTTON_L               (SDLK_BACKSPACE)
#   define GP2X_BUTTON_R               (SDLK_INSERT)
#   define GP2X_BUTTON_START           (SDLK_RETURN)
#   define GP2X_BUTTON_SELECT          (SDLK_RSHIFT)
#   define GP2X_BUTTON_VOLUP           (SDLK_KP8)
#   define GP2X_BUTTON_VOLDOWN         (SDLK_KP2)
#endif


#endif // DEFINICIONS_H
