#ifndef PECA_H
#define PECA_H

#include "SDL.h"

#include "Definicions.h"


/*
    Tipus de peces:
        0 = Multi
        1 = Elefant
        2 = Hipoptam
        3 = Lle
        4 = Panda
        5 = Cocodril
        6 = Mono
        7 = Cabra
	8 = Bunny
*/

class Peca
{
	public:
		Peca(Sint16 x, Sint16 y, Uint8 tipus, SDL_Surface* imgPeces, SDL_Surface* superficie);
		virtual ~Peca();

		virtual void Pinta()=0;
		virtual void Actualitza()=0;

		Uint8 DonaTipus() { return mTipus; };

	protected:
		Uint8 mTipus;
		SDL_Surface* mImgPeces;
        SDL_Surface* mSuperficie;
		SDL_Rect mPecaEnImg;
		SDL_Rect mPosicio;
		Uint32 mTempsAct, mTempsAnt;
};

#endif // PECA_H
