#include "PecaIntro.h"

#include <iostream>
#include <math.h>
#include <time.h>
#include <stdlib.h>
#include <ctype.h>


PecaIntro::PecaIntro(Sint16 x, Sint16 y, Uint8 tipus, SDL_Surface* imgPeces, SDL_Surface* superficie) : Peca(x, y, tipus, imgPeces, superficie)
{
    mX = (float)x;
    mY = (float)y;
    mPecaEnImg.x = (mTipus-1) * MIDA_PECA_RESTANT;
    mPecaEnImg.y = 0;
    mPecaEnImg.w = MIDA_PECA_RESTANT;
    mPecaEnImg.h = MIDA_PECA_RESTANT;
    mEstat = ACTIVA;
    mVelY = (-30.0-(float)(rand()%50))/10.0;
}


PecaIntro::~PecaIntro()
{
}


void PecaIntro::Pinta()
{
    SDL_BlitSurface(mImgPeces, &mPecaEnImg, mSuperficie, &mPosicio);
}


void PecaIntro::Actualitza()
{
    mY+=mVelY;

    mVelY+=0.2;
    mPosicio.x = (Sint16)mX;
    mPosicio.y = (Sint16)mY;

    if (mX>=RESX || mY>=RESY+MIDA_PECA_RESTANT) mEstat = MORTA;
}
