#ifndef PECAINTRO_H
#define PECAINTRO_H

#include "Peca.h"


class PecaIntro : public Peca
{
    public:
        PecaIntro(Sint16 x, Sint16 y, Uint8 tipus, SDL_Surface* imgPeces, SDL_Surface* superficie);
        virtual ~PecaIntro();

		virtual void Pinta();
		virtual void Actualitza();

		enum Estat {ACTIVA, MORTA};
		inline Estat DonaEstat() { return mEstat; };

    protected:
        float mX, mY;
        float mVelY;
        Estat mEstat;
};

#endif // PECAINTRO_H
