#include "PecaRestant.h"

PecaRestant::PecaRestant(Sint16 x, Sint16 y, Uint8 tipus, SDL_Surface* imgPeces, SDL_Surface* superficie) : PecaPartida(x, y, tipus, imgPeces, superficie)
{
    mPecaEnImg.x = (mTipus-1) * MIDA_PECA_RESTANT;
    mPecaEnImg.y = 0;
    mPecaEnImg.w = MIDA_PECA_RESTANT;
    mPecaEnImg.h = MIDA_PECA_RESTANT;
    mPosicio.w = MIDA_PECA_RESTANT;
    mPosicio.h = MIDA_PECA_RESTANT;
    mEstat = ACTIVA;
}

PecaRestant::~PecaRestant()
{
}

void PecaRestant::Aconseguida(bool aconseguida)
{
    if (aconseguida)
        mPecaEnImg.y = MIDA_PECA_RESTANT;
    else
        mPecaEnImg.y = 0;
}
