





















#include "Text.h"

#include "SDL.h"
#include "SDL_image.h"
#include <iostream>

using namespace std;



Text::Text(SDL_Surface* imatge, SDL_Surface* superficie)
{
    mImgFont = imatge;
    mSuperficie = superficie;
}

Text::~Text()
{
}

void Text::Escriu(Sint16 x, Sint16 y, char* text, int flags)
{
    if (text!=NULL)
    {
        mMida = strlen(text);

        if (mMida>0)
        {
            mX = x; mY = y;
            if (flags&0x01000000) mX -= mMida*MIDA_CARACTER;
            if (flags&0x00100000) mX -= mMida*MIDA_CARACTER/2;
            if (flags&0x00001000) mY -= MIDA_CARACTER;
            if (flags&0x00000100) mY -= MIDA_CARACTER/2;

            mCaracter.y = mY;
            mCaracterEnFont.y = 0;
            mCaracterEnFont.w = mCaracterEnFont.h = MIDA_CARACTER;

            for (Uint8 i=0; i<mMida; i++)
            {
                mCaracter.x = mX + (i*MIDA_CARACTER);
                mCaracter.w = mMida*MIDA_CARACTER*2;
                mCaracter.h = MIDA_CARACTER*2;
                mCaracterEnFont.x = (text[i]-32) * MIDA_CARACTER;
                SDL_BlitSurface(mImgFont, &mCaracterEnFont, mSuperficie, &mCaracter);
            }
        }
    }
}

